Package org.gradle.api.plugins

## Class ApplicationPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.ApplicationPluginConvention

-     @Deprecated
      public abstract class ApplicationPluginConvention
      extends Object

  Deprecated.
  Use `JavaApplication` instead. This class is scheduled for removal in Gradle 8.0.

  The `Convention` used for configuring the `ApplicationPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationPluginConvention()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Iterable<String>` | `getApplicationDefaultJvmArgs()` | Deprecated. Array of string arguments to pass to the JVM when running the application
    `abstract CopySpec` | `getApplicationDistribution()` | Deprecated. The specification of the contents of the distribution.
    `abstract String` | `getApplicationName()` | Deprecated. The name of the application.
    `abstract String` | `getExecutableDir()` | Deprecated. Directory to place executables in
    `abstract String` | `getMainClassName()` | Deprecated. The fully qualified name of the application's main class.
    `abstract Project` | `getProject()` | Deprecated.
    `abstract void` | `setApplicationDefaultJvmArgs​(Iterable<String> applicationDefaultJvmArgs)` | Deprecated. Array of string arguments to pass to the JVM when running the application
    `abstract void` | `setApplicationDistribution​(CopySpec applicationDistribution)` | Deprecated.
    `abstract void` | `setApplicationName​(String applicationName)` | Deprecated. The name of the application.
    `abstract void` | `setExecutableDir​(String executableDir)` | Deprecated. Directory to place executables in
    `abstract void` | `setMainClassName​(String mainClassName)` | Deprecated. The fully qualified name of the application's main class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPluginConvention

          public ApplicationPluginConvention()

      Deprecated.

  - ### Method Detail

    - #### getApplicationName

          public abstract String getApplicationName()

      Deprecated.
      The name of the application.

    - #### setApplicationName

          public abstract void setApplicationName​(String applicationName)

      Deprecated.
      The name of the application.

    - #### getMainClassName

          public abstract String getMainClassName()

      Deprecated.
      The fully qualified name of the application's main class.

    - #### setMainClassName

          public abstract void setMainClassName​(String mainClassName)

      Deprecated.
      The fully qualified name of the application's main class.

    - #### getApplicationDefaultJvmArgs

          public abstract Iterable<String> getApplicationDefaultJvmArgs()

      Deprecated.
      Array of string arguments to pass to the JVM when running the application

    - #### setApplicationDefaultJvmArgs

          public abstract void setApplicationDefaultJvmArgs​(Iterable<String> applicationDefaultJvmArgs)

      Deprecated.
      Array of string arguments to pass to the JVM when running the application

    - #### getExecutableDir

          public abstract String getExecutableDir()

      Deprecated.
      Directory to place executables in
      Since:
        4.5

    - #### setExecutableDir

          public abstract void setExecutableDir​(String executableDir)

      Deprecated.
      Directory to place executables in
      Since:
        4.5

    - #### getApplicationDistribution

          public abstract CopySpec getApplicationDistribution()

      Deprecated.

      The specification of the contents of the distribution.

      Use this `CopySpec` to include extra files/resource in the application distribution.

           plugins {
               id 'application'
           }

           applicationDistribution.from("some/dir") {
             include "*.txt"
           }

      Note that the application plugin pre configures this spec to; include the contents of "`src/dist`", copy the application start scripts into the "`bin`" directory, and copy the built jar and its dependencies into the "`lib`" directory.

    - #### setApplicationDistribution

          public abstract void setApplicationDistribution​(CopySpec applicationDistribution)

      Deprecated.

    - #### getProject

          public abstract Project getProject()

      Deprecated.